#include <iostream>
#include <iomanip>
#include <bitset>
using namespace std;

void print(const char*, unsigned);

int main () {
	unsigned op1 = 0xf0f0f0f0;
	unsigned op2 = 0xff00ff00;

	print("op1", op1);
	print("op2", op2);
	print("~op1", ~op1);
	print("op1 & op2", op1 & op2);
	print("op1 | op2", op1 | op2);
	print("op1 ^ op2", op1 ^ op2);
	print("op2 << 4", op2 << 4);
	print("op2 >> 4", op2 >> 4);
	cout << endl;

	print("1 & 2", 1 & 2);
	print("1 && 2", 1 && 2);

	return EXIT_SUCCESS;
}

void print(const char* string, unsigned value) {
	cout << left << setw(9) << string << " = " << bitset<32>(value) << endl;
}

